import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';
import 'dart:ui_web' as ui;
import 'dart:html' as html;
import 'dart:js' as js;

class EmailToolbar extends StatelessWidget {
  final VoidCallback onButtonPressed;

  const EmailToolbar({Key? key, required this.onButtonPressed}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        ElevatedButton(
          onPressed: onButtonPressed,
          child: Text('Home'),
        ),
        SizedBox(width: 8),
        ElevatedButton(
          onPressed: onButtonPressed,
          child: Text('Reload'),
        ),
        Spacer(),
        ElevatedButton(
          onPressed: onButtonPressed,
          child: Text('Options'),
        )
      
      ],
    );
  }
}
